import { http } from 'services/axiosInstances'

import { API_URL } from '../constants/apiUrl'
import { AuthenState } from '../types'

const login = async (username: string, password: string) => {
  const paramsRequest = new URLSearchParams()
  paramsRequest.append('username', username)
  paramsRequest.append('password', password)
  paramsRequest.append('grant_type', 'password')

  return http.post<AuthenState>(API_URL.LOGIN, paramsRequest, {
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
      'authorization': 'Basic dXBsLWFkbWluLXBvcnRhbDp1cGwtYWRtaW4tcG9ydGFs',
    },
  })
}

const login2 = async () => {
  const paramsRequest = new URLSearchParams()
  paramsRequest.append('username', 'username')
  paramsRequest.append('password', 'password')
  paramsRequest.append('grant_type', 'password')

  return http.post<AuthenState>(API_URL.LOGIN, paramsRequest, {
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
      'authorization': 'Basic dXBsLWFkbWluLXBvcnRhbDp1cGwtYWRtaW4tcG9ydGFs',
    },
  })
}

export { login, login2 }
