import React from 'react'

import { Row, Col } from 'antd-msb'
import './_demoPage2.less'
import { useParams } from 'react-router-dom'

const DemoPage2: React.FC = () => {
  const param = useParams()
  console.log('param.id', param.id)

  return (
    <Row className="blur-area">
      <Col span={12}>
        <div className="blur-align-container">
          <span className="blur-light-sm">Light SM</span>
          <span className="blur-light-md">Light MD</span>
          <span className="blur-light-lg">Light LG</span>
          <span className="blur-light-xl">Light XL</span>
        </div>
      </Col>
      <Col span={12}>
        <div className="blur-align-container ant-typography ant-typography-white">
          <span className="blur-dark-sm">Dark SM</span>
          <span className="blur-dark-md">Dark MD</span>
          <span className="blur-dark-lg">Dark LG</span>
          <span className="blur-dark-xl">Dark XL</span>
        </div>
      </Col>
    </Row>
  )
}

export default DemoPage2
