import './_mainLayout.less'
import React from 'react'

import { Layout } from 'antd-msb'
import Footer from 'layouts/MainLayout/Footer'
import { Outlet } from 'react-router-dom'

import Header from './Header'

const MainLayout: React.FC = () => (
  <main className="main-layout">
    <Header />
    <Layout.Content className="content">
      <div className="container">
        <Outlet />
      </div>
    </Layout.Content>
    <Footer />
  </main>
)

export default React.memo(MainLayout)
