import { ROLE_PERMISSION } from 'features/authentication/constants/rolePermission'

import { API_STATUS } from '../constants'

export type RolePermissionType = ROLE_PERMISSION
export type ApiStatus = API_STATUS

export type CustomRouteObject = {
  caseSensitive?: boolean
  children?: CustomRouteObject[]
  element?: React.ReactNode
  index?: boolean
  path?: string
  access?: RolePermissionType[]
}
